gstreamermm: Gst::ColorBalance Class Reference

gstreamermm 1.4.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gst::ColorBalance Class Reference
gstreamermm Interfaces

An interface for adjusting color balance settings. More...

Inheritance diagram for Gst::ColorBalance:
[legend]
Collaboration diagram for Gst::ColorBalance:
[legend]

## Public Member Functions
virtual | ~ColorBalance ()
GstColorBalance* | gobj ()
| Provides access to the underlying C GObject. More...
const GstColorBalance* | gobj () const
| Provides access to the underlying C GObject. More...
Glib::ListHandle< Glib::RefPtr < ColorBalanceChannel > > | list_channels ()
| Retrieve a list of the available channels. More...
Glib::ListHandle< Glib::RefPtr < const ColorBalanceChannel > > | list_channels () const
| Retrieve a list of the available channels. More...
int | get_value (const Glib::RefPtr< const ColorBalanceChannel >& channel) const
| Retrieve the current value of the indicated channel, between min_value and max_value. More...
void | set_value (const Glib::RefPtr< ColorBalanceChannel >& channel, int value)
| Sets the current value of the channel to the passed value, which must be between min_value and max_value. More...
void | value_changed (const Glib::RefPtr< ColorBalanceChannel >& channel, int value)
| A helper function called by implementations of the GstColorBalance interface. More...
Gst::ColorBalanceType | get_balance_type () const
| Get the Gst::ColorBalanceType of this implementation. More...
Glib::SignalProxy2< void, const Glib::RefPtr < ColorBalanceChannel >&, int > | signal_value_changed ()
virtual Glib::ListHandle < Glib::RefPtr < ColorBalanceChannel > > | list_channels_vfunc () const
| Lists the channels of the Gst::ColorBalance. More...
virtual void | set_value_vfunc (const Glib::RefPtr< ColorBalanceChannel >& channel, int value)
| Sets the value of a Gst::ColorBalanceChannel of the Gst::ColorBalance. More...
virtual int | get_value_vfunc (const Glib::RefPtr< const ColorBalanceChannel >& channel) const
| Gets the value of a Gst::ColorBalanceChannel of the Gst::ColorBalance. More...

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| ColorBalance ()
| You should derive from this class to use it. More...
virtual void | on_value_changed (const Glib::RefPtr< ColorBalanceChannel >& channel, int value)
| This is a default handler for the signal signal_value_changed(). More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::ColorBalance > | wrap (GstColorBalance* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

An interface for adjusting color balance settings.

## Constructor & Destructor Documentation

Gst::ColorBalance::ColorBalance | ( |  | ) |
| protected

You should derive from this class to use it.

virtual Gst::ColorBalance::~ColorBalance | ( |  | ) |
| virtual

## Member Function Documentation

static void Gst::ColorBalance::add_interface | ( | GType | gtype_implementer | ) |
| static

Gst::ColorBalanceType Gst::ColorBalance::get_balance_type | ( |  | ) | const

Get the Gst::ColorBalanceType of this implementation.

Returns
  A the Gst::ColorBalanceType.

static GType Gst::ColorBalance::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

int Gst::ColorBalance::get_value | ( | const Glib::RefPtr< const ColorBalanceChannel >& | channel | ) | const

Retrieve the current value of the indicated channel, between min_value and max_value.

See Also: The Gst::ColorBalanceChannel.min_value and Gst::ColorBalanceChannel.max_value members of the Gst::ColorBalanceChannel object.

Parameters

  channel | A Gst::ColorBalanceChannel instance.

Returns
  The current value of the channel.

virtual int Gst::ColorBalance::get_value_vfunc | ( | const Glib::RefPtr< const ColorBalanceChannel >& | channel | ) | const
| virtual

Gets the value of a Gst::ColorBalanceChannel of the Gst::ColorBalance.

GstColorBalance* Gst::ColorBalance::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GstColorBalance* Gst::ColorBalance::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

Glib::ListHandle< Glib::RefPtr<ColorBalanceChannel> > Gst::ColorBalance::list_channels | ( |  | ) |

Retrieve a list of the available channels.

Returns
  A GList containing pointers to Gst::ColorBalanceChannel objects. The list is owned by the Gst::ColorBalance instance and must not be freed.

Glib::ListHandle< Glib::RefPtr<const ColorBalanceChannel> > Gst::ColorBalance::list_channels | ( |  | ) | const

Retrieve a list of the available channels.

Returns
  A GList containing pointers to Gst::ColorBalanceChannel objects. The list is owned by the Gst::ColorBalance instance and must not be freed.

virtual Glib::ListHandle< Glib::RefPtr<ColorBalanceChannel> > Gst::ColorBalance::list_channels_vfunc | ( |  | ) | const
| virtual

Lists the channels of the Gst::ColorBalance.

virtual void Gst::ColorBalance::on_value_changed | ( | const Glib::RefPtr< ColorBalanceChannel >& | channel,
|  | int | value
| ) |  |
| protectedvirtual

This is a default handler for the signal signal_value_changed().

void Gst::ColorBalance::set_value | ( | const Glib::RefPtr< ColorBalanceChannel >& | channel,
|  | int | value
| ) |  |

Sets the current value of the channel to the passed value, which must be between min_value and max_value.

See Also: The Gst::ColorBalanceChannel.min_value and Gst::ColorBalanceChannel.max_value members of the Gst::ColorBalanceChannel object.

Parameters

  channel | A Gst::ColorBalanceChannel instance.
  value | The new value for the channel.

virtual void Gst::ColorBalance::set_value_vfunc | ( | const Glib::RefPtr< ColorBalanceChannel >& | channel,
|  | int | value
| ) |  |
| virtual

Sets the value of a Gst::ColorBalanceChannel of the Gst::ColorBalance.

Glib::SignalProxy2< void,const Glib::RefPtr<ColorBalanceChannel>&,int > Gst::ColorBalance::signal_value_changed | ( |  | ) |

Slot Prototype:
  `void on_my_value_changed(const Glib::RefPtr<ColorBalanceChannel>& channel, int value)`

Fired when the value of the indicated channel has changed.

Parameters

  channel | The Gst::ColorBalanceChannel.
  value | The new value.

void Gst::ColorBalance::value_changed | ( | const Glib::RefPtr< ColorBalanceChannel >& | channel,
|  | int | value
| ) |  |

A helper function called by implementations of the GstColorBalance interface.

It fires the Gst::ColorBalance::signal_value_changed() signal on the instance, and the Gst::ColorBalanceChannel::signal_value_changed() signal on the channel object.

Parameters

  channel | A Gst::ColorBalanceChannel whose value has changed.
  value | The new value of the channel.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::ColorBalance > wrap | ( | GstColorBalance * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/colorbalance.h